{
  pkgs,
  myConfig,
  config,
  ...
}: {
  security.pam.services.greetd.enableGnomeKeyring = true;
  security.sudo = {
    enable = true;
    wheelNeedsPassword = true;
    execWheelOnly = true;
    extraConfig = ''
      Defaults timestamp_timeout=15
      Defaults passwd_tries=3
    '';
  };
  environment.systemPackages = with pkgs; [
    sops
    age
    ssh-to-age
  ];
  sops = {
    defaultSopsFile = ../../secrets/secrets.yaml;
    age.keyFile = "/home/${myConfig.nixos.username}/.config/sops/age/keys.txt";
    secrets = {
      default_password = {
        neededForUsers = true;
      };
      ssh_extra_config = {
        owner = myConfig.nixos.username;
      };
    };
  };
}
